Get a list of Objects by Object type v2
post
/jderest/v2/utils/getObjectList/{objectType}
Get a list of Objects by Object type and a filter value.
Request
Supported Media Types
- application/json
Path Parameters
-
objectType(required): string
The Object Type to return a list of. Can be Pipe delimited for multiple types.Allowed Values:
[ "APPL", "TBLE", "BSVW", "BSFN", "DSTR", "GT", "UBE" ]
Header Parameters
-
jde-AIS-Auth: string
Token
-
jde-AIS-Auth-Device: string
Device Name
-
jde-AIS-MonitorOnStart: boolean
Monitor on Start
-
jde-AIS-MonitorRequest: string
Monitor RequestAllowed Values:
[ "monitorRequest", "monitorRequestIO" ]
Request Object for Filter Services.
Root Schema : FilterRequestV2
Type:
objectRequest Object for Filter Services.
Show Source
-
deviceName:
string
An identifier for the device making the service call. If not provided, the requesting IP address is used.
-
environment:
string
Specify the environment to use for login. If not specified, the default environment configured for the AIS Server will be used.
-
filter(required):
string
A value to use as a filter.
-
jasserver:
string
The HTML (JAS) Server to use for login. If not specified, the default HTML Server configured for the AIS Server will be used.
-
password:
string
The JD Edwards EnterpriseOne password, which is required if other authentication methods are not being used.
-
psToken:
string
Used for logging in with psToken. Primarily used by the HTML Server to establish a session with the AIS Server.
-
role:
string
The role to use for login. If not specified, the default role configured for the AIS Server will be used.
-
token:
string
The AIS token, which is required if other authentication methods are not being used.
-
username:
string
JD Edwards EnterpriseOne username, which is required if other authentication methods are not being used.
Response
Supported Media Types
- application/json
200 Response
Successful Execution
Root Schema : ObjectListResponse
Type:
objectA list of objects from an Object List request.
Show Source
-
objectListResponse:
array objectListResponse
The list of objects returned.
Nested Schema : objectListResponse
Type:
arrayThe list of objects returned.
Show Source
-
Array of:
object ObjectListResponseItem
A single return item from a Object List request.
Nested Schema : ObjectListResponseItem
Type:
objectA single return item from a Object List request.
Show Source
-
description:
string
The Object Description. For example Retrieve Company From Business Unit.
-
objectName:
string
The Object Name. For example B0000130.
-
objectType:
string
Allowed Values:
[ "APPL", "TBLE", "BSVW", "BSFN", "DSTR", "GT", "UBE" ]The Object Type. For example BSFN. -
systemCode:
string
The Object System code. For example 09.
400 Response
Bad Request - Invalid JSON Input
403 Response
Authorization Failure
415 Response
Invalid Content-Type Header - Must use application/json
500 Response
Server Failed to Process Request
Root Schema : ServiceErrorResponse
Type:
objectError Response
Show Source
-
errorText:
string
-
exception:
string
The class of the exception if an exception was thrown.
-
exceptionId:
string
ExceptionId, only if an exception record was written to the F980060
-
message:
string
Details about the error.
-
status:
string
Allowed Values:
[ "ERROR", "WARNING" ]Status determined by exception handling -
timeStamp:
string
The timestamp indicating the time the error message was returned.
-
type:
string
Optional type of error
-
userDefinedErrorText:
string
Optional error text added to an orchestration step.
Examples
Example Request
Use the object list service to get a list of object librarian (OMW) objects. The type of object is included in the API path (path parameter). You may also use a pipe (|) delimited list of types in the path parameter (for example: BSFN|UBE). The token value is from a prior call to the token request service to establish a session.
curl -i -X POST -H "Content-Type:application/json" http://ais_server_url/jderest/utils/getObjectList/BSFN -d
{
"token" : "044JHa5ZJWbI8PeLalEJFL8pU3VEWKJ17kotDHvwf5mFqc=MDE5MDA4OTE4MDAyNzQ2ODg2NDM2NTUxMk15RGV2aWNlMTQ3ODY0MjUyNjYzMw==",
"filter" : "Retrieve Company"
}
Example Response
The following example shows the contents of the response body.
{
"objectListResponse": [
{
"objectType": "BSFN",
"objectName": "B0000047",
"description": "Retrieve Company Address",
"systemCode": "00"
},
{
"objectType": "BSFN",
"objectName": "B0000067",
"description": "Retrieve Company Business Unit Type",
"systemCode": "00"
},
{
"objectType": "BSFN",
"objectName": "B0000128",
"description": "Retrieve Company Currency Code",
"systemCode": "00"
},
{
"objectType": "BSFN",
"objectName": "B0000130",
"description": "Retrieve Company From Business Unit",
"systemCode": "09"
},
{
"objectType": "BSFN",
"objectName": "B03B0042",
"description": "Retrieve Company Constants - Aging",
"systemCode": "00"
},
{
"objectType": "BSFN",
"objectName": "B0900009",
"description": "Retrieve Companys Begin Date",
"systemCode": "09"
},
{
"objectType": "BSFN",
"objectName": "B0900023",
"description": "F0911 - FS - Retrieve Company Master Data",
"systemCode": "09"
},
{
"objectType": "BSFN",
"objectName": "B0900242",
"description": "Retrieve Companys Current Date",
"systemCode": "09"
},
{
"objectType": "BSFN",
"objectName": "N0000563",
"description": "F0010 Retrieve Company Constant Record",
"systemCode": "00"
},
{
"objectType": "BSFN",
"objectName": "N0500240",
"description": "F0006 Time Entry - Retrieve Company",
"systemCode": "05T"
}
]
}